<?php defined('SYSPATH') || die('No direct script access.');

/**
 * Class Model_FinalReportItem
 *
 * @property int SemesterYear
 * @property int SemesterNum
 * @property string PlanExternalID
 * @property string SubjectExternalID
 * @property string RecordBookExternalID
 * @property int SemesterRate
 * @property int ExamRate
 * @property int Exam2Rate
 * @property int Exam3Rate
 * @property int ExtraRate
 * @property int Extra2Rate
 */
class Model_FinalReportItem extends Model
{
    public function __construct($row) {
        $this->SemesterYear = isset($row['SemesterYear']) ? (int)$row['SemesterYear'] : null;
        $this->SemesterNum = isset($row['SemesterNum']) ? (int)$row['SemesterNum'] : null;
        $this->PlanExternalID = str_pad($row['PlanExternalID'], 9, '0', STR_PAD_LEFT);
        $this->SubjectExternalID = $row['SubjectExternalID'];
        $this->RecordBookExternalID = $row['RecordBookExternalID'];
        $this->ExamType = $row['ExamType'];
        $this->SemesterRate = isset($row['SemesterRate']) ? (int)$row['SemesterRate'] : null;
        $this->ExamRate = isset($row['ExamRate']) ? (int)$row['ExamRate'] : null;
        $this->Exam2Rate = isset($row['Exam2Rate']) ? (int)$row['Exam2Rate'] : null;
        $this->Exam3Rate = isset($row['Exam3Rate']) ? (int)$row['Exam3Rate'] : null;
        $this->ExtraRate = isset($row['ExtraRate']) ? (int)$row['ExtraRate'] : null;
        $this->Extra2Rate = isset($row['Extra2Rate']) ? (int)$row['Extra2Rate'] : null;
    }
}
